Package com.databricks.jdbc.api.impl.volume

## Class DatabricksVolumeClientFactory

- java.lang.Object
- - com.databricks.jdbc.api.impl.volume.DatabricksVolumeClientFactory

    public class DatabricksVolumeClientFactory
    extends Object

Factory class for creating instances of `IDatabricksVolumeClient`.

### Constructor Summary

Constructors
`DatabricksVolumeClientFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IDatabricksVolumeClient` `getVolumeClient​(IDatabricksConnectionContext connectionContext)` Creates an instance of the DBFVolumeClient from the given connectionContext.
`static IDatabricksVolumeClient` `getVolumeClient​(Connection con)` Creates an instance of the DatabricksUCVolumeClient from the given connection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabricksVolumeClientFactory

    public DatabricksVolumeClientFactory()

### Method Detail

#### getVolumeClient

    public static IDatabricksVolumeClient getVolumeClient​(Connection con)

Creates an instance of the DatabricksUCVolumeClient from the given connection.

Parameters:
  `con` - Connection
Returns:
  an instance of `IDatabricksVolumeClient`

#### getVolumeClient

    public static IDatabricksVolumeClient getVolumeClient​(IDatabricksConnectionContext connectionContext)
                                                   throws DatabricksHttpException

Creates an instance of the DBFVolumeClient from the given connectionContext.

Parameters:
  `connectionContext` - IDatabricksConnectionContext
Returns:
  an instance of `IDatabricksVolumeClient`
Throws:
  `DatabricksHttpException`